/*border
 * CSS for jsPsych experiments.
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 */

/*@import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);*/
/*@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');*/

@font-face {
  font-family: Special Elite;
  src: url(SpecialElite-Regular.ttf);
}

.button-option {
    display: inline-block;
    padding: 6px 12px;
    margin: 0;
    font-size: .8em;
    font-weight: 400;
    font-family: 'Special Elite', cursive;
    /*font-family: 'PT Mono', monospace;*/
    /*font-family: 'Open Sans', 'Arial', sans-serif;*/
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: dimgrey;
    background-color: #fff;
    border-color: #ccc;
}

.button-option:hover {
    background-color: #ddd;
    border-color: #aaa;
}

.button-option:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}

/* Container holding jsPsych content */
.inputs{
    height:30px;
    weight:80%;
    display:block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    line-height: 1.1em;
    /*border-bottom: 1px solid black;*/
}

.bags {
    display:inline-block;
    position:static;
    margin-top: 0;
    padding: 8px;
    border: 1px solid darkgrey;
    border-radius: 5px;
    margin-bottom: 10px;
}
.question-new {
    font-size: 1.3em ;
    margin-top:0px;
    margin-bottom:1px;

}

.words{
  font-size: 1.3em ;
    /*font-size: .8em;*/
    border-bottom: 1px solid grey;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    font-family: 'Special Elite', cursive;
      margin:0px;
      /*border: 0;*/
      outline: 0;
      background: transparent;
      border-radius: 0;
}



input[type=text]{
    /*font-size: 1.3em ;*/
    margin-left:0.1em;
  margin-right:0.3em;
  border: 0;
  outline: 0;
  background: transparent;
  border-bottom: 1.5px solid black;
  border-radius: 0;

}
.questionnaire{
  margin-left:auto;
  margin-right:auto;
  width: 70%;
}

.question-prompt{
  max-width: 100%;
  white-space:nowrap;
}

.general {
  margin-top: 3%;
  width: 85%;
  padding: 5px;
  margin-left:auto;
  margin-right: auto;
}

.centered {margin-top: 0;
  width: 75%;
  padding: 0px;
  margin-left:auto;
  margin-right: auto;
}

.column {
  float: left;
  width: 48%;
  padding: 5px;
  margin: auto;
}

.row {
  margin-top: 5%;
}

/* Clearfix (clear floats) */
.row::after {
  content: "";
  clear: both;
  display: table;
}

/* Critical text */

.preamble{
    margin-top: 0;
    margin-bottom: 0.5em;
    font-style: italic;
    font-size: 1em;
}

.question{
    font-size: 1.35em;
    margin:0em;
}

.production{
    font-size: 1.3em;
  margin:0em;
}

/*.sentence{*/
/*  margin:.3em;*/
/*  font-weight: bold;*/
/*  font-size: 1.4em;*/
/*  !*font-size: 1.3em;*!*/

/*}*/

.sentence {
    margin: .3em;
    font-weight: bold;
    font-size: 1.4em;
}

.trans {
  visibility: hidden;
}

button#reset{
    color:indianred;
    border-color: indianred;

}
p#second_content{
  font-weight: bold;

}



p#correct_production {
  visibility: hidden;
  margin-top:0;
    margin-bottom:0;
    font-size: 1em;
}

p#correct1 {
  visibility: hidden;
}

p#correct0 {
  visibility: hidden;
}

.self{
    margin: 0em;
    font-weight: bold;
    font-size: 1.4em;
    line-height: 1.5em;
    border-bottom: 2px solid black;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    display: inline-block;
}

/* Images */
.image {
  border:1px solid black;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
  width: 80%;
  height: 80%;
}

.image:hover {
  border:4px solid grey;

}

.image:disabled {
  opacity: 0.7;
  border:1px solid grey;
  cursor:not-allowed;

}

.image_presentation{
  border-radius: 5px;
  transition: 0.3s;
  width: 70%;
  height: 70%;
  border:1px solid black;
  border-radius: 5px;
}


.sentence_button {
    display: inline-block;
    padding: 6px 12px;
    font-size: 1.2em;
    font-weight: 400;
    font-family: 'Special Elite', cursive;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid;
    border-radius: 6px;
    color: black;
}

.sentence_button:hover {
    opacity: 0.7;
    border:3px solid black;
    border-radius: 6px;
    color: black;
}

.sentence_button:disabled {
    opacity: 0.7;
    border:1px solid grey;
    cursor:not-allowed;
    border-radius: 6px;
    color: black;
}

.image_production {
  border-radius: 5px;
  transition: 0.3s;
  width: 70%;
  height: 70%;
  border:1px solid black;
  border-radius: 5px;
}



 .jspsych-display-element {
   position: relative;
   width: 120vh;
   height: 90vh;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }

 .jspsych-display-element:focus {
   outline: none;}


 .jspsych-content-wrapper {
   position: relative;
   width: 120vh;
   height: 90vh;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }

 .jspsych-content {
   max-width: 95%; /* this is mainly an IE 10-11 fix */
   text-align: center;
   position: relative;
   width: 120vh;
   height: 90vh;
   left: 50%;
   -webkit-transform: translateX(-50%);transform: translateX(-50%);
 }


/* fonts and type */

.jspsych-display-element {
  /*font-family: 'Balsamiq Sans', cursive;*/
/*font-family: 'PT Mono', monospace;*/
  font-family: 'Special Elite';
  font-size: 1.3em;
  line-height: 1.6em;

}

/* Form elements like input fields and buttons */

.jspsych-display-element input[type="text"] {
  /*font-family: 'PT Mono', monospace;*/
  font-family: 'Special Elite';
  font-size: 1em;
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 16px;
  font-weight: 600;
  font-family: 'Special Elite', cursive;
  /*font-family: 'PT Mono', monospace;*/
  /*font-family: 'Open Sans', 'Arial', sans-serif;*/
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid black;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: black;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}

/* jsPsych progress bar */

#jspsych-progressbar-container {
  color: #555;
  border-bottom: 1px solid #dedede;
  background-color: #f9f9f9;
  margin-bottom: 1em;
  text-align: center;
  padding: 8px 0px;
  width: 100%;
  line-height: 1em;
}
#jspsych-progressbar-container span {
  font-size: 14px;
  padding-right: 14px;
}
#jspsych-progressbar-outer {
  background-color: #eee;
  width: 50%;
  margin: auto;
  height: 14px;
  display: inline-block;
  vertical-align: middle;
  box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
#jspsych-progressbar-inner {
  background-color: #aaa;
  width: 0%;
  height: 100%;
}

/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
  text-align: left;
}
